Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fcef::/16
First address
fcef::
Last address
fcef:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fcef:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
f.e.c.f.ip6.arpa
Split into smaller subnets/32

fcef::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1fcef::/32fcef:0:ffff:ffff:ffff:ffff:ffff:ffff
2fcef:1::/32fcef:1:ffff:ffff:ffff:ffff:ffff:ffff
3fcef:2::/32fcef:2:ffff:ffff:ffff:ffff:ffff:ffff
4fcef:3::/32fcef:3:ffff:ffff:ffff:ffff:ffff:ffff
5fcef:4::/32fcef:4:ffff:ffff:ffff:ffff:ffff:ffff
6fcef:5::/32fcef:5:ffff:ffff:ffff:ffff:ffff:ffff
7fcef:6::/32fcef:6:ffff:ffff:ffff:ffff:ffff:ffff
8fcef:7::/32fcef:7:ffff:ffff:ffff:ffff:ffff:ffff
9fcef:8::/32fcef:8:ffff:ffff:ffff:ffff:ffff:ffff
10fcef:9::/32fcef:9:ffff:ffff:ffff:ffff:ffff:ffff
11fcef:a::/32fcef:a:ffff:ffff:ffff:ffff:ffff:ffff
12fcef:b::/32fcef:b:ffff:ffff:ffff:ffff:ffff:ffff
13fcef:c::/32fcef:c:ffff:ffff:ffff:ffff:ffff:ffff
14fcef:d::/32fcef:d:ffff:ffff:ffff:ffff:ffff:ffff
15fcef:e::/32fcef:e:ffff:ffff:ffff:ffff:ffff:ffff
16fcef:f::/32fcef:f:ffff:ffff:ffff:ffff:ffff:ffff
17fcef:10::/32fcef:10:ffff:ffff:ffff:ffff:ffff:ffff
18fcef:11::/32fcef:11:ffff:ffff:ffff:ffff:ffff:ffff
19fcef:12::/32fcef:12:ffff:ffff:ffff:ffff:ffff:ffff
20fcef:13::/32fcef:13:ffff:ffff:ffff:ffff:ffff:ffff
21fcef:14::/32fcef:14:ffff:ffff:ffff:ffff:ffff:ffff
22fcef:15::/32fcef:15:ffff:ffff:ffff:ffff:ffff:ffff
23fcef:16::/32fcef:16:ffff:ffff:ffff:ffff:ffff:ffff
24fcef:17::/32fcef:17:ffff:ffff:ffff:ffff:ffff:ffff
25fcef:18::/32fcef:18:ffff:ffff:ffff:ffff:ffff:ffff
26fcef:19::/32fcef:19:ffff:ffff:ffff:ffff:ffff:ffff
27fcef:1a::/32fcef:1a:ffff:ffff:ffff:ffff:ffff:ffff
28fcef:1b::/32fcef:1b:ffff:ffff:ffff:ffff:ffff:ffff
29fcef:1c::/32fcef:1c:ffff:ffff:ffff:ffff:ffff:ffff
30fcef:1d::/32fcef:1d:ffff:ffff:ffff:ffff:ffff:ffff
31fcef:1e::/32fcef:1e:ffff:ffff:ffff:ffff:ffff:ffff
32fcef:1f::/32fcef:1f:ffff:ffff:ffff:ffff:ffff:ffff
33fcef:20::/32fcef:20:ffff:ffff:ffff:ffff:ffff:ffff
34fcef:21::/32fcef:21:ffff:ffff:ffff:ffff:ffff:ffff
35fcef:22::/32fcef:22:ffff:ffff:ffff:ffff:ffff:ffff
36fcef:23::/32fcef:23:ffff:ffff:ffff:ffff:ffff:ffff
37fcef:24::/32fcef:24:ffff:ffff:ffff:ffff:ffff:ffff
38fcef:25::/32fcef:25:ffff:ffff:ffff:ffff:ffff:ffff
39fcef:26::/32fcef:26:ffff:ffff:ffff:ffff:ffff:ffff
40fcef:27::/32fcef:27:ffff:ffff:ffff:ffff:ffff:ffff
41fcef:28::/32fcef:28:ffff:ffff:ffff:ffff:ffff:ffff
42fcef:29::/32fcef:29:ffff:ffff:ffff:ffff:ffff:ffff
43fcef:2a::/32fcef:2a:ffff:ffff:ffff:ffff:ffff:ffff
44fcef:2b::/32fcef:2b:ffff:ffff:ffff:ffff:ffff:ffff
45fcef:2c::/32fcef:2c:ffff:ffff:ffff:ffff:ffff:ffff
46fcef:2d::/32fcef:2d:ffff:ffff:ffff:ffff:ffff:ffff
47fcef:2e::/32fcef:2e:ffff:ffff:ffff:ffff:ffff:ffff
48fcef:2f::/32fcef:2f:ffff:ffff:ffff:ffff:ffff:ffff
49fcef:30::/32fcef:30:ffff:ffff:ffff:ffff:ffff:ffff
50fcef:31::/32fcef:31:ffff:ffff:ffff:ffff:ffff:ffff
51fcef:32::/32fcef:32:ffff:ffff:ffff:ffff:ffff:ffff
52fcef:33::/32fcef:33:ffff:ffff:ffff:ffff:ffff:ffff
53fcef:34::/32fcef:34:ffff:ffff:ffff:ffff:ffff:ffff
54fcef:35::/32fcef:35:ffff:ffff:ffff:ffff:ffff:ffff
55fcef:36::/32fcef:36:ffff:ffff:ffff:ffff:ffff:ffff
56fcef:37::/32fcef:37:ffff:ffff:ffff:ffff:ffff:ffff
57fcef:38::/32fcef:38:ffff:ffff:ffff:ffff:ffff:ffff
58fcef:39::/32fcef:39:ffff:ffff:ffff:ffff:ffff:ffff
59fcef:3a::/32fcef:3a:ffff:ffff:ffff:ffff:ffff:ffff
60fcef:3b::/32fcef:3b:ffff:ffff:ffff:ffff:ffff:ffff
61fcef:3c::/32fcef:3c:ffff:ffff:ffff:ffff:ffff:ffff
62fcef:3d::/32fcef:3d:ffff:ffff:ffff:ffff:ffff:ffff
63fcef:3e::/32fcef:3e:ffff:ffff:ffff:ffff:ffff:ffff
64fcef:3f::/32fcef:3f:ffff:ffff:ffff:ffff:ffff:ffff
65fcef:40::/32fcef:40:ffff:ffff:ffff:ffff:ffff:ffff
66fcef:41::/32fcef:41:ffff:ffff:ffff:ffff:ffff:ffff
67fcef:42::/32fcef:42:ffff:ffff:ffff:ffff:ffff:ffff
68fcef:43::/32fcef:43:ffff:ffff:ffff:ffff:ffff:ffff
69fcef:44::/32fcef:44:ffff:ffff:ffff:ffff:ffff:ffff
70fcef:45::/32fcef:45:ffff:ffff:ffff:ffff:ffff:ffff
71fcef:46::/32fcef:46:ffff:ffff:ffff:ffff:ffff:ffff
72fcef:47::/32fcef:47:ffff:ffff:ffff:ffff:ffff:ffff
73fcef:48::/32fcef:48:ffff:ffff:ffff:ffff:ffff:ffff
74fcef:49::/32fcef:49:ffff:ffff:ffff:ffff:ffff:ffff
75fcef:4a::/32fcef:4a:ffff:ffff:ffff:ffff:ffff:ffff
76fcef:4b::/32fcef:4b:ffff:ffff:ffff:ffff:ffff:ffff
77fcef:4c::/32fcef:4c:ffff:ffff:ffff:ffff:ffff:ffff
78fcef:4d::/32fcef:4d:ffff:ffff:ffff:ffff:ffff:ffff
79fcef:4e::/32fcef:4e:ffff:ffff:ffff:ffff:ffff:ffff
80fcef:4f::/32fcef:4f:ffff:ffff:ffff:ffff:ffff:ffff
81fcef:50::/32fcef:50:ffff:ffff:ffff:ffff:ffff:ffff
82fcef:51::/32fcef:51:ffff:ffff:ffff:ffff:ffff:ffff
83fcef:52::/32fcef:52:ffff:ffff:ffff:ffff:ffff:ffff
84fcef:53::/32fcef:53:ffff:ffff:ffff:ffff:ffff:ffff
85fcef:54::/32fcef:54:ffff:ffff:ffff:ffff:ffff:ffff
86fcef:55::/32fcef:55:ffff:ffff:ffff:ffff:ffff:ffff
87fcef:56::/32fcef:56:ffff:ffff:ffff:ffff:ffff:ffff
88fcef:57::/32fcef:57:ffff:ffff:ffff:ffff:ffff:ffff
89fcef:58::/32fcef:58:ffff:ffff:ffff:ffff:ffff:ffff
90fcef:59::/32fcef:59:ffff:ffff:ffff:ffff:ffff:ffff
91fcef:5a::/32fcef:5a:ffff:ffff:ffff:ffff:ffff:ffff
92fcef:5b::/32fcef:5b:ffff:ffff:ffff:ffff:ffff:ffff
93fcef:5c::/32fcef:5c:ffff:ffff:ffff:ffff:ffff:ffff
94fcef:5d::/32fcef:5d:ffff:ffff:ffff:ffff:ffff:ffff
95fcef:5e::/32fcef:5e:ffff:ffff:ffff:ffff:ffff:ffff
96fcef:5f::/32fcef:5f:ffff:ffff:ffff:ffff:ffff:ffff
97fcef:60::/32fcef:60:ffff:ffff:ffff:ffff:ffff:ffff
98fcef:61::/32fcef:61:ffff:ffff:ffff:ffff:ffff:ffff
99fcef:62::/32fcef:62:ffff:ffff:ffff:ffff:ffff:ffff
100fcef:63::/32fcef:63:ffff:ffff:ffff:ffff:ffff:ffff
101fcef:64::/32fcef:64:ffff:ffff:ffff:ffff:ffff:ffff
102fcef:65::/32fcef:65:ffff:ffff:ffff:ffff:ffff:ffff
103fcef:66::/32fcef:66:ffff:ffff:ffff:ffff:ffff:ffff
104fcef:67::/32fcef:67:ffff:ffff:ffff:ffff:ffff:ffff
105fcef:68::/32fcef:68:ffff:ffff:ffff:ffff:ffff:ffff
106fcef:69::/32fcef:69:ffff:ffff:ffff:ffff:ffff:ffff
107fcef:6a::/32fcef:6a:ffff:ffff:ffff:ffff:ffff:ffff
108fcef:6b::/32fcef:6b:ffff:ffff:ffff:ffff:ffff:ffff
109fcef:6c::/32fcef:6c:ffff:ffff:ffff:ffff:ffff:ffff
110fcef:6d::/32fcef:6d:ffff:ffff:ffff:ffff:ffff:ffff
111fcef:6e::/32fcef:6e:ffff:ffff:ffff:ffff:ffff:ffff
112fcef:6f::/32fcef:6f:ffff:ffff:ffff:ffff:ffff:ffff
113fcef:70::/32fcef:70:ffff:ffff:ffff:ffff:ffff:ffff
114fcef:71::/32fcef:71:ffff:ffff:ffff:ffff:ffff:ffff
115fcef:72::/32fcef:72:ffff:ffff:ffff:ffff:ffff:ffff
116fcef:73::/32fcef:73:ffff:ffff:ffff:ffff:ffff:ffff
117fcef:74::/32fcef:74:ffff:ffff:ffff:ffff:ffff:ffff
118fcef:75::/32fcef:75:ffff:ffff:ffff:ffff:ffff:ffff
119fcef:76::/32fcef:76:ffff:ffff:ffff:ffff:ffff:ffff
120fcef:77::/32fcef:77:ffff:ffff:ffff:ffff:ffff:ffff
121fcef:78::/32fcef:78:ffff:ffff:ffff:ffff:ffff:ffff
122fcef:79::/32fcef:79:ffff:ffff:ffff:ffff:ffff:ffff
123fcef:7a::/32fcef:7a:ffff:ffff:ffff:ffff:ffff:ffff
124fcef:7b::/32fcef:7b:ffff:ffff:ffff:ffff:ffff:ffff
125fcef:7c::/32fcef:7c:ffff:ffff:ffff:ffff:ffff:ffff
126fcef:7d::/32fcef:7d:ffff:ffff:ffff:ffff:ffff:ffff
127fcef:7e::/32fcef:7e:ffff:ffff:ffff:ffff:ffff:ffff
128fcef:7f::/32fcef:7f:ffff:ffff:ffff:ffff:ffff:ffff
129fcef:80::/32fcef:80:ffff:ffff:ffff:ffff:ffff:ffff
130fcef:81::/32fcef:81:ffff:ffff:ffff:ffff:ffff:ffff
131fcef:82::/32fcef:82:ffff:ffff:ffff:ffff:ffff:ffff
132fcef:83::/32fcef:83:ffff:ffff:ffff:ffff:ffff:ffff
133fcef:84::/32fcef:84:ffff:ffff:ffff:ffff:ffff:ffff
134fcef:85::/32fcef:85:ffff:ffff:ffff:ffff:ffff:ffff
135fcef:86::/32fcef:86:ffff:ffff:ffff:ffff:ffff:ffff
136fcef:87::/32fcef:87:ffff:ffff:ffff:ffff:ffff:ffff
137fcef:88::/32fcef:88:ffff:ffff:ffff:ffff:ffff:ffff
138fcef:89::/32fcef:89:ffff:ffff:ffff:ffff:ffff:ffff
139fcef:8a::/32fcef:8a:ffff:ffff:ffff:ffff:ffff:ffff
140fcef:8b::/32fcef:8b:ffff:ffff:ffff:ffff:ffff:ffff
141fcef:8c::/32fcef:8c:ffff:ffff:ffff:ffff:ffff:ffff
142fcef:8d::/32fcef:8d:ffff:ffff:ffff:ffff:ffff:ffff
143fcef:8e::/32fcef:8e:ffff:ffff:ffff:ffff:ffff:ffff
144fcef:8f::/32fcef:8f:ffff:ffff:ffff:ffff:ffff:ffff
145fcef:90::/32fcef:90:ffff:ffff:ffff:ffff:ffff:ffff
146fcef:91::/32fcef:91:ffff:ffff:ffff:ffff:ffff:ffff
147fcef:92::/32fcef:92:ffff:ffff:ffff:ffff:ffff:ffff
148fcef:93::/32fcef:93:ffff:ffff:ffff:ffff:ffff:ffff
149fcef:94::/32fcef:94:ffff:ffff:ffff:ffff:ffff:ffff
150fcef:95::/32fcef:95:ffff:ffff:ffff:ffff:ffff:ffff
151fcef:96::/32fcef:96:ffff:ffff:ffff:ffff:ffff:ffff
152fcef:97::/32fcef:97:ffff:ffff:ffff:ffff:ffff:ffff
153fcef:98::/32fcef:98:ffff:ffff:ffff:ffff:ffff:ffff
154fcef:99::/32fcef:99:ffff:ffff:ffff:ffff:ffff:ffff
155fcef:9a::/32fcef:9a:ffff:ffff:ffff:ffff:ffff:ffff
156fcef:9b::/32fcef:9b:ffff:ffff:ffff:ffff:ffff:ffff
157fcef:9c::/32fcef:9c:ffff:ffff:ffff:ffff:ffff:ffff
158fcef:9d::/32fcef:9d:ffff:ffff:ffff:ffff:ffff:ffff
159fcef:9e::/32fcef:9e:ffff:ffff:ffff:ffff:ffff:ffff
160fcef:9f::/32fcef:9f:ffff:ffff:ffff:ffff:ffff:ffff
161fcef:a0::/32fcef:a0:ffff:ffff:ffff:ffff:ffff:ffff
162fcef:a1::/32fcef:a1:ffff:ffff:ffff:ffff:ffff:ffff
163fcef:a2::/32fcef:a2:ffff:ffff:ffff:ffff:ffff:ffff
164fcef:a3::/32fcef:a3:ffff:ffff:ffff:ffff:ffff:ffff
165fcef:a4::/32fcef:a4:ffff:ffff:ffff:ffff:ffff:ffff
166fcef:a5::/32fcef:a5:ffff:ffff:ffff:ffff:ffff:ffff
167fcef:a6::/32fcef:a6:ffff:ffff:ffff:ffff:ffff:ffff
168fcef:a7::/32fcef:a7:ffff:ffff:ffff:ffff:ffff:ffff
169fcef:a8::/32fcef:a8:ffff:ffff:ffff:ffff:ffff:ffff
170fcef:a9::/32fcef:a9:ffff:ffff:ffff:ffff:ffff:ffff
171fcef:aa::/32fcef:aa:ffff:ffff:ffff:ffff:ffff:ffff
172fcef:ab::/32fcef:ab:ffff:ffff:ffff:ffff:ffff:ffff
173fcef:ac::/32fcef:ac:ffff:ffff:ffff:ffff:ffff:ffff
174fcef:ad::/32fcef:ad:ffff:ffff:ffff:ffff:ffff:ffff
175fcef:ae::/32fcef:ae:ffff:ffff:ffff:ffff:ffff:ffff
176fcef:af::/32fcef:af:ffff:ffff:ffff:ffff:ffff:ffff
177fcef:b0::/32fcef:b0:ffff:ffff:ffff:ffff:ffff:ffff
178fcef:b1::/32fcef:b1:ffff:ffff:ffff:ffff:ffff:ffff
179fcef:b2::/32fcef:b2:ffff:ffff:ffff:ffff:ffff:ffff
180fcef:b3::/32fcef:b3:ffff:ffff:ffff:ffff:ffff:ffff
181fcef:b4::/32fcef:b4:ffff:ffff:ffff:ffff:ffff:ffff
182fcef:b5::/32fcef:b5:ffff:ffff:ffff:ffff:ffff:ffff
183fcef:b6::/32fcef:b6:ffff:ffff:ffff:ffff:ffff:ffff
184fcef:b7::/32fcef:b7:ffff:ffff:ffff:ffff:ffff:ffff
185fcef:b8::/32fcef:b8:ffff:ffff:ffff:ffff:ffff:ffff
186fcef:b9::/32fcef:b9:ffff:ffff:ffff:ffff:ffff:ffff
187fcef:ba::/32fcef:ba:ffff:ffff:ffff:ffff:ffff:ffff
188fcef:bb::/32fcef:bb:ffff:ffff:ffff:ffff:ffff:ffff
189fcef:bc::/32fcef:bc:ffff:ffff:ffff:ffff:ffff:ffff
190fcef:bd::/32fcef:bd:ffff:ffff:ffff:ffff:ffff:ffff
191fcef:be::/32fcef:be:ffff:ffff:ffff:ffff:ffff:ffff
192fcef:bf::/32fcef:bf:ffff:ffff:ffff:ffff:ffff:ffff
193fcef:c0::/32fcef:c0:ffff:ffff:ffff:ffff:ffff:ffff
194fcef:c1::/32fcef:c1:ffff:ffff:ffff:ffff:ffff:ffff
195fcef:c2::/32fcef:c2:ffff:ffff:ffff:ffff:ffff:ffff
196fcef:c3::/32fcef:c3:ffff:ffff:ffff:ffff:ffff:ffff
197fcef:c4::/32fcef:c4:ffff:ffff:ffff:ffff:ffff:ffff
198fcef:c5::/32fcef:c5:ffff:ffff:ffff:ffff:ffff:ffff
199fcef:c6::/32fcef:c6:ffff:ffff:ffff:ffff:ffff:ffff
200fcef:c7::/32fcef:c7:ffff:ffff:ffff:ffff:ffff:ffff
201fcef:c8::/32fcef:c8:ffff:ffff:ffff:ffff:ffff:ffff
202fcef:c9::/32fcef:c9:ffff:ffff:ffff:ffff:ffff:ffff
203fcef:ca::/32fcef:ca:ffff:ffff:ffff:ffff:ffff:ffff
204fcef:cb::/32fcef:cb:ffff:ffff:ffff:ffff:ffff:ffff
205fcef:cc::/32fcef:cc:ffff:ffff:ffff:ffff:ffff:ffff
206fcef:cd::/32fcef:cd:ffff:ffff:ffff:ffff:ffff:ffff
207fcef:ce::/32fcef:ce:ffff:ffff:ffff:ffff:ffff:ffff
208fcef:cf::/32fcef:cf:ffff:ffff:ffff:ffff:ffff:ffff
209fcef:d0::/32fcef:d0:ffff:ffff:ffff:ffff:ffff:ffff
210fcef:d1::/32fcef:d1:ffff:ffff:ffff:ffff:ffff:ffff
211fcef:d2::/32fcef:d2:ffff:ffff:ffff:ffff:ffff:ffff
212fcef:d3::/32fcef:d3:ffff:ffff:ffff:ffff:ffff:ffff
213fcef:d4::/32fcef:d4:ffff:ffff:ffff:ffff:ffff:ffff
214fcef:d5::/32fcef:d5:ffff:ffff:ffff:ffff:ffff:ffff
215fcef:d6::/32fcef:d6:ffff:ffff:ffff:ffff:ffff:ffff
216fcef:d7::/32fcef:d7:ffff:ffff:ffff:ffff:ffff:ffff
217fcef:d8::/32fcef:d8:ffff:ffff:ffff:ffff:ffff:ffff
218fcef:d9::/32fcef:d9:ffff:ffff:ffff:ffff:ffff:ffff
219fcef:da::/32fcef:da:ffff:ffff:ffff:ffff:ffff:ffff
220fcef:db::/32fcef:db:ffff:ffff:ffff:ffff:ffff:ffff
221fcef:dc::/32fcef:dc:ffff:ffff:ffff:ffff:ffff:ffff
222fcef:dd::/32fcef:dd:ffff:ffff:ffff:ffff:ffff:ffff
223fcef:de::/32fcef:de:ffff:ffff:ffff:ffff:ffff:ffff
224fcef:df::/32fcef:df:ffff:ffff:ffff:ffff:ffff:ffff
225fcef:e0::/32fcef:e0:ffff:ffff:ffff:ffff:ffff:ffff
226fcef:e1::/32fcef:e1:ffff:ffff:ffff:ffff:ffff:ffff
227fcef:e2::/32fcef:e2:ffff:ffff:ffff:ffff:ffff:ffff
228fcef:e3::/32fcef:e3:ffff:ffff:ffff:ffff:ffff:ffff
229fcef:e4::/32fcef:e4:ffff:ffff:ffff:ffff:ffff:ffff
230fcef:e5::/32fcef:e5:ffff:ffff:ffff:ffff:ffff:ffff
231fcef:e6::/32fcef:e6:ffff:ffff:ffff:ffff:ffff:ffff
232fcef:e7::/32fcef:e7:ffff:ffff:ffff:ffff:ffff:ffff
233fcef:e8::/32fcef:e8:ffff:ffff:ffff:ffff:ffff:ffff
234fcef:e9::/32fcef:e9:ffff:ffff:ffff:ffff:ffff:ffff
235fcef:ea::/32fcef:ea:ffff:ffff:ffff:ffff:ffff:ffff
236fcef:eb::/32fcef:eb:ffff:ffff:ffff:ffff:ffff:ffff
237fcef:ec::/32fcef:ec:ffff:ffff:ffff:ffff:ffff:ffff
238fcef:ed::/32fcef:ed:ffff:ffff:ffff:ffff:ffff:ffff
239fcef:ee::/32fcef:ee:ffff:ffff:ffff:ffff:ffff:ffff
240fcef:ef::/32fcef:ef:ffff:ffff:ffff:ffff:ffff:ffff
241fcef:f0::/32fcef:f0:ffff:ffff:ffff:ffff:ffff:ffff
242fcef:f1::/32fcef:f1:ffff:ffff:ffff:ffff:ffff:ffff
243fcef:f2::/32fcef:f2:ffff:ffff:ffff:ffff:ffff:ffff
244fcef:f3::/32fcef:f3:ffff:ffff:ffff:ffff:ffff:ffff
245fcef:f4::/32fcef:f4:ffff:ffff:ffff:ffff:ffff:ffff
246fcef:f5::/32fcef:f5:ffff:ffff:ffff:ffff:ffff:ffff
247fcef:f6::/32fcef:f6:ffff:ffff:ffff:ffff:ffff:ffff
248fcef:f7::/32fcef:f7:ffff:ffff:ffff:ffff:ffff:ffff
249fcef:f8::/32fcef:f8:ffff:ffff:ffff:ffff:ffff:ffff
250fcef:f9::/32fcef:f9:ffff:ffff:ffff:ffff:ffff:ffff
251fcef:fa::/32fcef:fa:ffff:ffff:ffff:ffff:ffff:ffff
252fcef:fb::/32fcef:fb:ffff:ffff:ffff:ffff:ffff:ffff
253fcef:fc::/32fcef:fc:ffff:ffff:ffff:ffff:ffff:ffff
254fcef:fd::/32fcef:fd:ffff:ffff:ffff:ffff:ffff:ffff
255fcef:fe::/32fcef:fe:ffff:ffff:ffff:ffff:ffff:ffff
256fcef:ff::/32fcef:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses